%define __libtoolize :
%define momorel 2

Summary: HTTP library of common code
Name: w3c-libwww
Version: 5.4.0
Release: %{momorel}m
License: see "http://www.w3.org/Consortium/Legal/copyright-software.html"
Group: System Environment/Libraries
Source: http://www.w3.org/Library/Distribution/w3c-libwww-%{version}.tgz
Patch1: w3c-libwww-5.3.2-incdir.patch
URL: http://www.w3.org/Library
BuildRoot: %{_tmppath}/%{name}-%{version}-root
NoSource: 0

%description
Libwww is a general-purpose Web API written in C for Unix and Windows (Win32).
With a highly extensible and layered API, it can accommodate many different
types of applications including clients, robots, etc. The purpose of libwww
is to provide a highly optimized HTTP sample implementation as well as other
Internet protocols and to serve as a testbed for protocol experiments.

%package devel
Summary: Libraries and header files for programs that use libwww.
Group: Development/Libraries
Requires: %name = %{PACKAGE_VERSION}

%description devel
Static libraries and header files for libwww, which are available as public
libraries.

%package apps
Summary: Applications built using Libwww web library: e.g. Robot, command line tool, etc.
Group: Applications/Internet
Requires: %name = %{PACKAGE_VERSION}

%description apps

Web applications built using Libwww: Robot, Command line tool, 
line mode browser.  The Robot can crawl web sites faster, and
with lower load, than any other web walker that we know of, 
due to its extensive pipelining and use of HTTP/1.1.

The command line tool (w3c) is very useful for manipulation of 
Web sites that implement more than just HTTP GET (e.g. PUT, 
 POST, etc.).

The line mode browser is a minimal line mode web browser; 
often useful to convert to ascii text.  Currently unavailable
until someone updates it to some new interfaces. (hint, hint...)

%prep
rm -rf %{buildroot}

%setup -q
%patch1 -p1 

%build
%configure --enable-shared --enable-static--with-gnu-ld --with-regex --with-zlib
make

%install
rm -rf %{buildroot}

make DESTDIR=%{buildroot} install

( cd %{buildroot}
  chmod +x ./usr/lib/lib{www*,xml*,md5}.so.0.*
  strip ./usr/bin/* || :
)

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_prefix}/lib/libwww*.so.*
%{_prefix}/lib/libxml*.so.*
%{_prefix}/lib/libmd5.so.*
%{_prefix}/lib/libpics.so.*
%{_prefix}/share/w3c-libwww

%doc *.html Icons/*/*.gif

%files apps
%defattr(-,root,root)
%{_prefix}/bin/webbot
%{_prefix}/bin/w3c
%{_prefix}/bin/www

%files devel
%defattr(-,root,root)
%{_prefix}/bin/libwww-config
%{_prefix}/lib/lib*.a
%{_prefix}/lib/lib*.la
%{_prefix}/lib/lib*.so

%{_prefix}/include/wwwconf.h
%{_prefix}/include/w3c-libwww

%changelog
* Sat Oct 25 2003 Ryu SASAOKA <ryu@momonga-linux.org>
- (5.4.0-2m)
- adapt the License: preamble for the Momonga Linux license
  expression unification policy (draft)

* Wed Jul 10 2002 smbd <smbd@momonga-linux.org>
- (5.4.0-1m)
- up to 5.4.0

* Mon May 13 2002 Toru Hoshina <t@kondara.org>
- (5.3.2-2k)
- ver up.

* Fri Feb  2 2001 HOSONO Hidetomo <h@kondara.org>
- (w3c-libwww-5.3.1-5k)
- deleted non-existing files: "*/*.html" and "*/*/*.html"
  in the document dir

* Wed Nov 22 2000 Kenichi Matsubara <m@kondara.org>
- update to 5.3.1.

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Sun Jun 18 2000 Matt Wilson <msw@redhat.com>
- rebuilt for next release
- added patch to toplevel Makefile.am to honor DESTDIR
- use "make DESTDIR=%{buildroot} install"

* Thu Aug 12 1999 Jeff Johnson <jbj@redhat.com>
- rebuild for 6.1.

* Mon Apr 12 1999 Jeff Johnson <jbj@redhat.com>
- repackage for Red Hat 6.0.
